List documents
get
Path parameters
extensionIdstringRequired
Responses
200
OK
application/json
get/public/v1/integration/extensions/{extensionId}/documents
200
OK
Last updated
Was this helpful?
Was this helpful?
GET /public/v1/integration/extensions/{extensionId}/documents HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
"$meta": {
"pagination": {
"offset": 1,
"limit": 1,
"total": 1
},
"omitted": [
"text"
]
},
"data": [
{
"id": "text",
"audit": {
"created": {
"at": "2026-08-07T19:11:12.623Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-08-07T19:11:12.623Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"published": {
"at": "2026-08-07T19:11:12.623Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"unpublished": {
"at": "2026-08-07T19:11:12.623Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"name": "text",
"revision": 1,
"type": "text",
"description": "text",
"status": "Draft",
"filename": "text",
"size": 1,
"contentType": "text",
"url": "text",
"language": "text",
"extension": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
]
}